// mod wayback_machine;
mod news_scraper;

use news_scraper::News;

#[tokio::main(flavor = "multi_thread", worker_threads = 10)]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let news = News::extract_news("https://web.archive.org/web/20130609011109/http://www.fermimn.gov.it/news/index.php?pageno=7")
        .await;

    for (i, element) in news.iter().enumerate() {
        println!(
            "[[news.{}]]\n{}",
            i,
            toml::to_string_pretty(element).unwrap()
        );
    }

    Ok(())
}
