mod scrape_20091228;

use chrono::NaiveDate;
use reqwest::Client;
use scraper::Html;

#[derive(Debug, serde::Deserialize, serde::Serialize)]
pub struct News {
    id: u32,
    title: String,
    image_url: Option<String>,
    article_url: Option<String>,
    body: String,
    date: NaiveDate,
}

impl News {
    pub async fn extract_news(url: &str) -> Vec<Self> {
        let html = Client::new()
            .get(url)
            .send()
            .await
            .unwrap()
            .text()
            .await
            .unwrap();

        let document = Html::parse_document(&html);

        // TODO: Select by date
        let news: Vec<Self> = scrape_20091228::scrape(&document);

        news
    }
}
